/* 
-----------------------------------------------------------------------------
File: tables.groovy
Author: Karl Bishop (kfbishop@us.ibm.com)
-----------------------------------------------------------------------------
Service to describe the JDBC driver in use
-----------------------------------------------------------------------------
(C) Copyright IBM Corp. 2008 All rights reserved.

You may only copy, modify, and distribute these samples internally.
These samples have not been tested under all conditions and are provided
to you by IBM without obligation of support of any kind.

IBM PROVIDES THESE SAMPLES "AS IS" SUBJECT TO ANY STATUTORY WARRANTIES THAT
CANNOT BE EXCLUDED. IBM MAKES NO WARRANTIES OR CONDITIONS, EITHER EXPRESS
OR IMPLIED, INCLUDING BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OR
CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND
NON-INFRINGEMENT REGARDING THESE SAMPLES OR TECHNICAL SUPPORT, IF ANY.
-----------------------------------------------------------------------------
*/

def onRetrieve() {
	def dbId = request.params.dbInfoId[]
    logger.INFO {"onRetrieve called for: ${dbId}"}
    def map = invokeMethod("dba","getDbInfo", dbId)
    invokeMethod('sendResponse', 'json', map)
    logger.FINEST {'onRetrieve finished'}
}
