class Person {
    def public static description = "Person class for working with people data"

    String firstName
    String lastName
    Date   birth
    Date   death

    Person() {}
    Person(args) {
        this.firstName = args.firstName
        this.lastName  = args.lastName
        setBirth( args.birth )
        setDeath( args.death )
    }

    void setBirth( dob ) {
        this.birth = new Date().parse('yyyy-MM-dd', dob)
    }
    void setDeath( dob ) {
        this.death = new Date().parse('yyyy-MM-dd', dob)
    }
    String toString() {
        return "${firstName} ${lastName} was born on: ${birth}"
    }
    int daysAlive() {
        if (this.birth && this.death ) {
            return this.death - this.birth
        } else if ( this.birth ) {
            return new Date() - this.birth
        } else {
            return 0
        }
    }
} 
