<h1>People</h1>
<?php
groovy_import("Person.groovy");

//-- Create and then Populate a person
$joe = new Person();
$joe->setFirstName("Joe");
$joe->setLastName("Strummer");
$joe->setBirth("1952-07-21");
$joe->setDeath("2002-12-22");
echo $joe."<br/><hr/>";

//-- Create person passing in values into constructor
$data = array( 
    firstName => "Jerry",
    lastName => "Garcia",
    birth => "1942-08-01",
    death => "1995-09-05"
);
$jerry = new Person( $data );
echo $jerry."<br/>";
echo "He lived for ".$jerry->daysAlive()." days!<br/><hr/>";

// Create and execute Groovy scripts dynamically
$groovyScript = "'Johnny Cash'.reverse()";
echo "Evaluating: $groovyScript = ".groovy_eval($groovyScript);
echo "<br/><hr/>";

//-- Access static members too
echo "Class description: ".Person::$description."<br/><hr/>";
?>
